import pytest

from aoc.day21 import part1, part2

def test_rounding():
    assert part1.roundrobin(1, 10) == 1
    assert part1.roundrobin(9, 10) == 9
    assert part1.roundrobin(10, 10) == 10
    assert part1.roundrobin(11, 10) == 1
    assert part1.roundrobin(20, 10) == 10
    assert part1.roundrobin(21, 10) == 1

#
# --- Part One ---
#

def test_part1():
    assert part1.result(example_input) == 739785

#
# --- Part Two ---
#

def test_part2():
    assert part2.result(None) == None

example_input = """Player 1 starting position: 4
Player 2 starting position: 8""".splitlines()

"""Player 1 rolls '1+2+3' and moves to space 10 for a total score of 10.
Player 2 rolls '4+5+6' and moves to space 3 for a total score of 3.
Player 1 rolls '7+8+9' and moves to space 4 for a total score of 14.
Player 2 rolls '10+11+12' and moves to space 6 for a total score of 9.
Player 1 rolls '13+14+15' and moves to space 6 for a total score of 20.
Player 2 rolls '16+17+18' and moves to space 7 for a total score of 16.
Player 1 rolls '19+20+21' and moves to space 6 for a total score of 26.
Player 2 rolls '22+23+24' and moves to space 6 for a total score of 22.
Player 1 rolls '25+26+27' and moves to space 4 for a total score of 30.
Player 2 rolls '28+29+30' and moves to space 3 for a total score of 25.
Player 1 rolls '31+32+33' and moves to space 0 for a total score of 30.
Player 2 rolls '34+35+36' and moves to space 8 for a total score of 33.
Player 1 rolls '37+38+39' and moves to space 4 for a total score of 34.
Player 2 rolls '40+41+42' and moves to space 1 for a total score of 34.
Player 1 rolls '43+44+45' and moves to space 6 for a total score of 40.
Player 2 rolls '46+47+48' and moves to space 2 for a total score of 36.
Player 1 rolls '49+50+51' and moves to space 6 for a total score of 46.
Player 2 rolls '52+53+54' and moves to space 1 for a total score of 37.
Player 1 rolls '55+56+57' and moves to space 4 for a total score of 50.
Player 2 rolls '58+59+60' and moves to space 8 for a total score of 45.
Player 1 rolls '61+62+63' and moves to space 0 for a total score of 50.
Player 2 rolls '64+65+66' and moves to space 3 for a total score of 48.
Player 1 rolls '67+68+69' and moves to space 4 for a total score of 54.
Player 2 rolls '70+71+72' and moves to space 6 for a total score of 54.
Player 1 rolls '73+74+75' and moves to space 6 for a total score of 60.
Player 2 rolls '76+77+78' and moves to space 7 for a total score of 61.
Player 1 rolls '79+80+81' and moves to space 6 for a total score of 66.
Player 2 rolls '82+83+84' and moves to space 6 for a total score of 67.
Player 1 rolls '85+86+87' and moves to space 4 for a total score of 70.
Player 2 rolls '88+89+90' and moves to space 3 for a total score of 70.
Player 1 rolls '91+92+93' and moves to space 0 for a total score of 70.
Player 2 rolls '94+95+96' and moves to space 8 for a total score of 78.
Player 1 rolls '97+98+99' and moves to space 4 for a total score of 74.
Player 2 rolls '100+1+2' and moves to space 1 for a total score of 79.
Player 1 rolls '3+4+5' and moves to space 6 for a total score of 80.
Player 2 rolls '6+7+8' and moves to space 2 for a total score of 81.
Player 1 rolls '9+10+11' and moves to space 6 for a total score of 86.
Player 2 rolls '12+13+14' and moves to space 1 for a total score of 82.
Player 1 rolls '15+16+17' and moves to space 4 for a total score of 90.
Player 2 rolls '18+19+20' and moves to space 8 for a total score of 90.
Player 1 rolls '21+22+23' and moves to space 0 for a total score of 90.
Player 2 rolls '24+25+26' and moves to space 3 for a total score of 93.
Player 1 rolls '27+28+29' and moves to space 4 for a total score of 94.
Player 2 rolls '30+31+32' and moves to space 6 for a total score of 99.
Player 1 rolls '33+34+35' and moves to space 6 for a total score of 100.
Player 2 rolls '36+37+38' and moves to space 7 for a total score of 106.
Player 1 rolls '39+40+41' and moves to space 6 for a total score of 106.
Player 2 rolls '42+43+44' and moves to space 6 for a total score of 112.
Player 1 rolls '45+46+47' and moves to space 4 for a total score of 110.
Player 2 rolls '48+49+50' and moves to space 3 for a total score of 115.
Player 1 rolls '51+52+53' and moves to space 0 for a total score of 110.
Player 2 rolls '54+55+56' and moves to space 8 for a total score of 123.
Player 1 rolls '57+58+59' and moves to space 4 for a total score of 114.
Player 2 rolls '60+61+62' and moves to space 1 for a total score of 124.
Player 1 rolls '63+64+65' and moves to space 6 for a total score of 120.
Player 2 rolls '66+67+68' and moves to space 2 for a total score of 126.
Player 1 rolls '69+70+71' and moves to space 6 for a total score of 126.
Player 2 rolls '72+73+74' and moves to space 1 for a total score of 127.
Player 1 rolls '75+76+77' and moves to space 4 for a total score of 130.
Player 2 rolls '78+79+80' and moves to space 8 for a total score of 135.
Player 1 rolls '81+82+83' and moves to space 0 for a total score of 130.
Player 2 rolls '84+85+86' and moves to space 3 for a total score of 138.
Player 1 rolls '87+88+89' and moves to space 4 for a total score of 134.
Player 2 rolls '90+91+92' and moves to space 6 for a total score of 144.
Player 1 rolls '93+94+95' and moves to space 6 for a total score of 140.
Player 2 rolls '96+97+98' and moves to space 7 for a total score of 151.
Player 1 rolls '99+100+1' and moves to space 6 for a total score of 146.
Player 2 rolls '2+3+4' and moves to space 6 for a total score of 157.
Player 1 rolls '5+6+7' and moves to space 4 for a total score of 150.
Player 2 rolls '8+9+10' and moves to space 3 for a total score of 160.
Player 1 rolls '11+12+13' and moves to space 0 for a total score of 150.
Player 2 rolls '14+15+16' and moves to space 8 for a total score of 168.
Player 1 rolls '17+18+19' and moves to space 4 for a total score of 154.
Player 2 rolls '20+21+22' and moves to space 1 for a total score of 169.
Player 1 rolls '23+24+25' and moves to space 6 for a total score of 160.
Player 2 rolls '26+27+28' and moves to space 2 for a total score of 171.
Player 1 rolls '29+30+31' and moves to space 6 for a total score of 166.
Player 2 rolls '32+33+34' and moves to space 1 for a total score of 172.
Player 1 rolls '35+36+37' and moves to space 4 for a total score of 170.
Player 2 rolls '38+39+40' and moves to space 8 for a total score of 180.
Player 1 rolls '41+42+43' and moves to space 0 for a total score of 170.
Player 2 rolls '44+45+46' and moves to space 3 for a total score of 183.
Player 1 rolls '47+48+49' and moves to space 4 for a total score of 174.
Player 2 rolls '50+51+52' and moves to space 6 for a total score of 189.
Player 1 rolls '53+54+55' and moves to space 6 for a total score of 180.
Player 2 rolls '56+57+58' and moves to space 7 for a total score of 196.
Player 1 rolls '59+60+61' and moves to space 6 for a total score of 186.
Player 2 rolls '62+63+64' and moves to space 6 for a total score of 202.
Player 1 rolls '65+66+67' and moves to space 4 for a total score of 190.
Player 2 rolls '68+69+70' and moves to space 3 for a total score of 205.
Player 1 rolls '71+72+73' and moves to space 0 for a total score of 190.
Player 2 rolls '74+75+76' and moves to space 8 for a total score of 213.
Player 1 rolls '77+78+79' and moves to space 4 for a total score of 194.
Player 2 rolls '80+81+82' and moves to space 1 for a total score of 214.
Player 1 rolls '83+84+85' and moves to space 6 for a total score of 200.
Player 2 rolls '86+87+88' and moves to space 2 for a total score of 216.
Player 1 rolls '89+90+91' and moves to space 6 for a total score of 206.
Player 2 rolls '92+93+94' and moves to space 1 for a total score of 217.
Player 1 rolls '95+96+97' and moves to space 4 for a total score of 210.
Player 2 rolls '98+99+100' and moves to space 8 for a total score of 225.
Player 1 rolls '1+2+3' and moves to space 10 for a total score of 220.
Player 2 rolls '4+5+6' and moves to space 3 for a total score of 228.
Player 1 rolls '7+8+9' and moves to space 4 for a total score of 224.
Player 2 rolls '10+11+12' and moves to space 6 for a total score of 234.
Player 1 rolls '13+14+15' and moves to space 6 for a total score of 230.
Player 2 rolls '16+17+18' and moves to space 7 for a total score of 241.
Player 1 rolls '19+20+21' and moves to space 6 for a total score of 236.
Player 2 rolls '22+23+24' and moves to space 6 for a total score of 247.
Player 1 rolls '25+26+27' and moves to space 4 for a total score of 240.
Player 2 rolls '28+29+30' and moves to space 3 for a total score of 250.
Player 1 rolls '31+32+33' and moves to space 0 for a total score of 240.
Player 2 rolls '34+35+36' and moves to space 8 for a total score of 258.
Player 1 rolls '37+38+39' and moves to space 4 for a total score of 244.
Player 2 rolls '40+41+42' and moves to space 1 for a total score of 259.
Player 1 rolls '43+44+45' and moves to space 6 for a total score of 250.
Player 2 rolls '46+47+48' and moves to space 2 for a total score of 261.
Player 1 rolls '49+50+51' and moves to space 6 for a total score of 256.
Player 2 rolls '52+53+54' and moves to space 1 for a total score of 262.
Player 1 rolls '55+56+57' and moves to space 4 for a total score of 260.
Player 2 rolls '58+59+60' and moves to space 8 for a total score of 270.
Player 1 rolls '61+62+63' and moves to space 0 for a total score of 260.
Player 2 rolls '64+65+66' and moves to space 3 for a total score of 273.
Player 1 rolls '67+68+69' and moves to space 4 for a total score of 264.
Player 2 rolls '70+71+72' and moves to space 6 for a total score of 279.
Player 1 rolls '73+74+75' and moves to space 6 for a total score of 270.
Player 2 rolls '76+77+78' and moves to space 7 for a total score of 286.
Player 1 rolls '79+80+81' and moves to space 6 for a total score of 276.
Player 2 rolls '82+83+84' and moves to space 6 for a total score of 292.
Player 1 rolls '85+86+87' and moves to space 4 for a total score of 280.
Player 2 rolls '88+89+90' and moves to space 3 for a total score of 295.
Player 1 rolls '91+92+93' and moves to space 0 for a total score of 280.
Player 2 rolls '94+95+96' and moves to space 8 for a total score of 303.
Player 1 rolls '97+98+99' and moves to space 4 for a total score of 284.
Player 2 rolls '100+1+2' and moves to space 1 for a total score of 304.
Player 1 rolls '3+4+5' and moves to space 6 for a total score of 290.
Player 2 rolls '6+7+8' and moves to space 2 for a total score of 306.
Player 1 rolls '9+10+11' and moves to space 6 for a total score of 296.
Player 2 rolls '12+13+14' and moves to space 1 for a total score of 307.
Player 1 rolls '15+16+17' and moves to space 4 for a total score of 300.
Player 2 rolls '18+19+20' and moves to space 8 for a total score of 315.
Player 1 rolls '21+22+23' and moves to space 0 for a total score of 300.
Player 2 rolls '24+25+26' and moves to space 3 for a total score of 318.
Player 1 rolls '27+28+29' and moves to space 4 for a total score of 304.
Player 2 rolls '30+31+32' and moves to space 6 for a total score of 324.
Player 1 rolls '33+34+35' and moves to space 6 for a total score of 310.
Player 2 rolls '36+37+38' and moves to space 7 for a total score of 331.
Player 1 rolls '39+40+41' and moves to space 6 for a total score of 316.
Player 2 rolls '42+43+44' and moves to space 6 for a total score of 337.
Player 1 rolls '45+46+47' and moves to space 4 for a total score of 320.
Player 2 rolls '48+49+50' and moves to space 3 for a total score of 340.
Player 1 rolls '51+52+53' and moves to space 0 for a total score of 320.
Player 2 rolls '54+55+56' and moves to space 8 for a total score of 348.
Player 1 rolls '57+58+59' and moves to space 4 for a total score of 324.
Player 2 rolls '60+61+62' and moves to space 1 for a total score of 349.
Player 1 rolls '63+64+65' and moves to space 6 for a total score of 330.
Player 2 rolls '66+67+68' and moves to space 2 for a total score of 351.
Player 1 rolls '69+70+71' and moves to space 6 for a total score of 336.
Player 2 rolls '72+73+74' and moves to space 1 for a total score of 352.
Player 1 rolls '75+76+77' and moves to space 4 for a total score of 340.
Player 2 rolls '78+79+80' and moves to space 8 for a total score of 360.
Player 1 rolls '81+82+83' and moves to space 0 for a total score of 340.
Player 2 rolls '84+85+86' and moves to space 3 for a total score of 363.
Player 1 rolls '87+88+89' and moves to space 4 for a total score of 344.
Player 2 rolls '90+91+92' and moves to space 6 for a total score of 369.
Player 1 rolls '93+94+95' and moves to space 6 for a total score of 350.
Player 2 rolls '96+97+98' and moves to space 7 for a total score of 376.
Player 1 rolls '99+100+1' and moves to space 6 for a total score of 356.
Player 2 rolls '2+3+4' and moves to space 6 for a total score of 382.
Player 1 rolls '5+6+7' and moves to space 4 for a total score of 360.
Player 2 rolls '8+9+10' and moves to space 3 for a total score of 385.
Player 1 rolls '11+12+13' and moves to space 0 for a total score of 360.
Player 2 rolls '14+15+16' and moves to space 8 for a total score of 393.
Player 1 rolls '17+18+19' and moves to space 4 for a total score of 364.
Player 2 rolls '20+21+22' and moves to space 1 for a total score of 394.
Player 1 rolls '23+24+25' and moves to space 6 for a total score of 370.
Player 2 rolls '26+27+28' and moves to space 2 for a total score of 396.
Player 1 rolls '29+30+31' and moves to space 6 for a total score of 376.
Player 2 rolls '32+33+34' and moves to space 1 for a total score of 397.
Player 1 rolls '35+36+37' and moves to space 4 for a total score of 380.
Player 2 rolls '38+39+40' and moves to space 8 for a total score of 405.
Player 1 rolls '41+42+43' and moves to space 0 for a total score of 380.
Player 2 rolls '44+45+46' and moves to space 3 for a total score of 408.
Player 1 rolls '47+48+49' and moves to space 4 for a total score of 384.
Player 2 rolls '50+51+52' and moves to space 6 for a total score of 414.
Player 1 rolls '53+54+55' and moves to space 6 for a total score of 390.
Player 2 rolls '56+57+58' and moves to space 7 for a total score of 421.
Player 1 rolls '59+60+61' and moves to space 6 for a total score of 396.
Player 2 rolls '62+63+64' and moves to space 6 for a total score of 427.
Player 1 rolls '65+66+67' and moves to space 4 for a total score of 400.
Player 2 rolls '68+69+70' and moves to space 3 for a total score of 430.
Player 1 rolls '71+72+73' and moves to space 0 for a total score of 400.
Player 2 rolls '74+75+76' and moves to space 8 for a total score of 438.
Player 1 rolls '77+78+79' and moves to space 4 for a total score of 404.
Player 2 rolls '80+81+82' and moves to space 1 for a total score of 439.
Player 1 rolls '83+84+85' and moves to space 6 for a total score of 410.
Player 2 rolls '86+87+88' and moves to space 2 for a total score of 441.
Player 1 rolls '89+90+91' and moves to space 6 for a total score of 416.
Player 2 rolls '92+93+94' and moves to space 1 for a total score of 442.
Player 1 rolls '95+96+97' and moves to space 4 for a total score of 420.
Player 2 rolls '98+99+100' and moves to space 8 for a total score of 450.
Player 1 rolls '1+2+3' and moves to space 10 for a total score of 430.
Player 2 rolls '4+5+6' and moves to space 3 for a total score of 453.
Player 1 rolls '7+8+9' and moves to space 4 for a total score of 434.
Player 2 rolls '10+11+12' and moves to space 6 for a total score of 459.
Player 1 rolls '13+14+15' and moves to space 6 for a total score of 440.
Player 2 rolls '16+17+18' and moves to space 7 for a total score of 466.
Player 1 rolls '19+20+21' and moves to space 6 for a total score of 446.
Player 2 rolls '22+23+24' and moves to space 6 for a total score of 472.
Player 1 rolls '25+26+27' and moves to space 4 for a total score of 450.
Player 2 rolls '28+29+30' and moves to space 3 for a total score of 475.
Player 1 rolls '31+32+33' and moves to space 0 for a total score of 450.
Player 2 rolls '34+35+36' and moves to space 8 for a total score of 483.
Player 1 rolls '37+38+39' and moves to space 4 for a total score of 454.
Player 2 rolls '40+41+42' and moves to space 1 for a total score of 484.
Player 1 rolls '43+44+45' and moves to space 6 for a total score of 460.
Player 2 rolls '46+47+48' and moves to space 2 for a total score of 486.
Player 1 rolls '49+50+51' and moves to space 6 for a total score of 466.
Player 2 rolls '52+53+54' and moves to space 1 for a total score of 487.
Player 1 rolls '55+56+57' and moves to space 4 for a total score of 470.
Player 2 rolls '58+59+60' and moves to space 8 for a total score of 495.
Player 1 rolls '61+62+63' and moves to space 0 for a total score of 470.
Player 2 rolls '64+65+66' and moves to space 3 for a total score of 498.
Player 1 rolls '67+68+69' and moves to space 4 for a total score of 474.
Player 2 rolls '70+71+72' and moves to space 6 for a total score of 504.
Player 1 rolls '73+74+75' and moves to space 6 for a total score of 480.
Player 2 rolls '76+77+78' and moves to space 7 for a total score of 511.
Player 1 rolls '79+80+81' and moves to space 6 for a total score of 486.
Player 2 rolls '82+83+84' and moves to space 6 for a total score of 517.
Player 1 rolls '85+86+87' and moves to space 4 for a total score of 490.
Player 2 rolls '88+89+90' and moves to space 3 for a total score of 520.
Player 1 rolls '91+92+93' and moves to space 0 for a total score of 490.
Player 2 rolls '94+95+96' and moves to space 8 for a total score of 528.
Player 1 rolls '97+98+99' and moves to space 4 for a total score of 494.
Player 2 rolls '100+1+2' and moves to space 1 for a total score of 529.
Player 1 rolls '3+4+5' and moves to space 6 for a total score of 500.
Player 2 rolls '6+7+8' and moves to space 2 for a total score of 531.
Player 1 rolls '9+10+11' and moves to space 6 for a total score of 506.
Player 2 rolls '12+13+14' and moves to space 1 for a total score of 532.
Player 1 rolls '15+16+17' and moves to space 4 for a total score of 510.
Player 2 rolls '18+19+20' and moves to space 8 for a total score of 540.
Player 1 rolls '21+22+23' and moves to space 0 for a total score of 510.
Player 2 rolls '24+25+26' and moves to space 3 for a total score of 543.
Player 1 rolls '27+28+29' and moves to space 4 for a total score of 514.
Player 2 rolls '30+31+32' and moves to space 6 for a total score of 549.
Player 1 rolls '33+34+35' and moves to space 6 for a total score of 520.
Player 2 rolls '36+37+38' and moves to space 7 for a total score of 556.
Player 1 rolls '39+40+41' and moves to space 6 for a total score of 526.
Player 2 rolls '42+43+44' and moves to space 6 for a total score of 562.
Player 1 rolls '45+46+47' and moves to space 4 for a total score of 530.
Player 2 rolls '48+49+50' and moves to space 3 for a total score of 565.
Player 1 rolls '51+52+53' and moves to space 0 for a total score of 530.
Player 2 rolls '54+55+56' and moves to space 8 for a total score of 573.
Player 1 rolls '57+58+59' and moves to space 4 for a total score of 534.
Player 2 rolls '60+61+62' and moves to space 1 for a total score of 574.
Player 1 rolls '63+64+65' and moves to space 6 for a total score of 540.
Player 2 rolls '66+67+68' and moves to space 2 for a total score of 576.
Player 1 rolls '69+70+71' and moves to space 6 for a total score of 546.
Player 2 rolls '72+73+74' and moves to space 1 for a total score of 577.
Player 1 rolls '75+76+77' and moves to space 4 for a total score of 550.
Player 2 rolls '78+79+80' and moves to space 8 for a total score of 585.
Player 1 rolls '81+82+83' and moves to space 0 for a total score of 550.
Player 2 rolls '84+85+86' and moves to space 3 for a total score of 588.
Player 1 rolls '87+88+89' and moves to space 4 for a total score of 554.
Player 2 rolls '90+91+92' and moves to space 6 for a total score of 594.
Player 1 rolls '93+94+95' and moves to space 6 for a total score of 560.
Player 2 rolls '96+97+98' and moves to space 7 for a total score of 601.
Player 1 rolls '99+100+1' and moves to space 6 for a total score of 566.
Player 2 rolls '2+3+4' and moves to space 6 for a total score of 607.
Player 1 rolls '5+6+7' and moves to space 4 for a total score of 570.
Player 2 rolls '8+9+10' and moves to space 3 for a total score of 610.
Player 1 rolls '11+12+13' and moves to space 0 for a total score of 570.
Player 2 rolls '14+15+16' and moves to space 8 for a total score of 618.
Player 1 rolls '17+18+19' and moves to space 4 for a total score of 574.
Player 2 rolls '20+21+22' and moves to space 1 for a total score of 619.
Player 1 rolls '23+24+25' and moves to space 6 for a total score of 580.
Player 2 rolls '26+27+28' and moves to space 2 for a total score of 621.
Player 1 rolls '29+30+31' and moves to space 6 for a total score of 586.
Player 2 rolls '32+33+34' and moves to space 1 for a total score of 622.
Player 1 rolls '35+36+37' and moves to space 4 for a total score of 590.
Player 2 rolls '38+39+40' and moves to space 8 for a total score of 630.
Player 1 rolls '41+42+43' and moves to space 0 for a total score of 590.
Player 2 rolls '44+45+46' and moves to space 3 for a total score of 633.
Player 1 rolls '47+48+49' and moves to space 4 for a total score of 594.
Player 2 rolls '50+51+52' and moves to space 6 for a total score of 639.
Player 1 rolls '53+54+55' and moves to space 6 for a total score of 600.
Player 2 rolls '56+57+58' and moves to space 7 for a total score of 646.
Player 1 rolls '59+60+61' and moves to space 6 for a total score of 606.
Player 2 rolls '62+63+64' and moves to space 6 for a total score of 652.
Player 1 rolls '65+66+67' and moves to space 4 for a total score of 610.
Player 2 rolls '68+69+70' and moves to space 3 for a total score of 655.
Player 1 rolls '71+72+73' and moves to space 0 for a total score of 610.
Player 2 rolls '74+75+76' and moves to space 8 for a total score of 663.
Player 1 rolls '77+78+79' and moves to space 4 for a total score of 614.
Player 2 rolls '80+81+82' and moves to space 1 for a total score of 664.
Player 1 rolls '83+84+85' and moves to space 6 for a total score of 620.
Player 2 rolls '86+87+88' and moves to space 2 for a total score of 666.
Player 1 rolls '89+90+91' and moves to space 6 for a total score of 626.
Player 2 rolls '92+93+94' and moves to space 1 for a total score of 667.
Player 1 rolls '95+96+97' and moves to space 4 for a total score of 630.
Player 2 rolls '98+99+100' and moves to space 8 for a total score of 675.
Player 1 rolls '1+2+3' and moves to space 10 for a total score of 640.
Player 2 rolls '4+5+6' and moves to space 3 for a total score of 678.
Player 1 rolls '7+8+9' and moves to space 4 for a total score of 644.
Player 2 rolls '10+11+12' and moves to space 6 for a total score of 684.
Player 1 rolls '13+14+15' and moves to space 6 for a total score of 650.
Player 2 rolls '16+17+18' and moves to space 7 for a total score of 691.
Player 1 rolls '19+20+21' and moves to space 6 for a total score of 656.
Player 2 rolls '22+23+24' and moves to space 6 for a total score of 697.
Player 1 rolls '25+26+27' and moves to space 4 for a total score of 660.
Player 2 rolls '28+29+30' and moves to space 3 for a total score of 700.
Player 1 rolls '31+32+33' and moves to space 0 for a total score of 660.
Player 2 rolls '34+35+36' and moves to space 8 for a total score of 708.
Player 1 rolls '37+38+39' and moves to space 4 for a total score of 664.
Player 2 rolls '40+41+42' and moves to space 1 for a total score of 709.
Player 1 rolls '43+44+45' and moves to space 6 for a total score of 670.
Player 2 rolls '46+47+48' and moves to space 2 for a total score of 711.
Player 1 rolls '49+50+51' and moves to space 6 for a total score of 676.
Player 2 rolls '52+53+54' and moves to space 1 for a total score of 712.
Player 1 rolls '55+56+57' and moves to space 4 for a total score of 680.
Player 2 rolls '58+59+60' and moves to space 8 for a total score of 720.
Player 1 rolls '61+62+63' and moves to space 0 for a total score of 680.
Player 2 rolls '64+65+66' and moves to space 3 for a total score of 723.
Player 1 rolls '67+68+69' and moves to space 4 for a total score of 684.
Player 2 rolls '70+71+72' and moves to space 6 for a total score of 729.
Player 1 rolls '73+74+75' and moves to space 6 for a total score of 690.
Player 2 rolls '76+77+78' and moves to space 7 for a total score of 736.
Player 1 rolls '79+80+81' and moves to space 6 for a total score of 696.
Player 2 rolls '82+83+84' and moves to space 6 for a total score of 742.
Player 1 rolls '85+86+87' and moves to space 4 for a total score of 700.
Player 2 rolls '88+89+90' and moves to space 3 for a total score of 745.
Player 1 rolls '91+92+93' and moves to space 0 for a total score of 700.
Player 2 rolls '94+95+96' and moves to space 8 for a total score of 753.
Player 1 rolls '97+98+99' and moves to space 4 for a total score of 704.
Player 2 rolls '100+1+2' and moves to space 1 for a total score of 754.
Player 1 rolls '3+4+5' and moves to space 6 for a total score of 710.
Player 2 rolls '6+7+8' and moves to space 2 for a total score of 756.
Player 1 rolls '9+10+11' and moves to space 6 for a total score of 716.
Player 2 rolls '12+13+14' and moves to space 1 for a total score of 757.
Player 1 rolls '15+16+17' and moves to space 4 for a total score of 720.
Player 2 rolls '18+19+20' and moves to space 8 for a total score of 765.
Player 1 rolls '21+22+23' and moves to space 0 for a total score of 720.
Player 2 rolls '24+25+26' and moves to space 3 for a total score of 768.
Player 1 rolls '27+28+29' and moves to space 4 for a total score of 724.
Player 2 rolls '30+31+32' and moves to space 6 for a total score of 774.
Player 1 rolls '33+34+35' and moves to space 6 for a total score of 730.
Player 2 rolls '36+37+38' and moves to space 7 for a total score of 781.
Player 1 rolls '39+40+41' and moves to space 6 for a total score of 736.
Player 2 rolls '42+43+44' and moves to space 6 for a total score of 787.
Player 1 rolls '45+46+47' and moves to space 4 for a total score of 740.
Player 2 rolls '48+49+50' and moves to space 3 for a total score of 790.
Player 1 rolls '51+52+53' and moves to space 0 for a total score of 740.
Player 2 rolls '54+55+56' and moves to space 8 for a total score of 798.
Player 1 rolls '57+58+59' and moves to space 4 for a total score of 744.
Player 2 rolls '60+61+62' and moves to space 1 for a total score of 799.
Player 1 rolls '63+64+65' and moves to space 6 for a total score of 750.
Player 2 rolls '66+67+68' and moves to space 2 for a total score of 801.
Player 1 rolls '69+70+71' and moves to space 6 for a total score of 756.
Player 2 rolls '72+73+74' and moves to space 1 for a total score of 802.
Player 1 rolls '75+76+77' and moves to space 4 for a total score of 760.
Player 2 rolls '78+79+80' and moves to space 8 for a total score of 810.
Player 1 rolls '81+82+83' and moves to space 0 for a total score of 760.
Player 2 rolls '84+85+86' and moves to space 3 for a total score of 813.
Player 1 rolls '87+88+89' and moves to space 4 for a total score of 764.
Player 2 rolls '90+91+92' and moves to space 6 for a total score of 819.
Player 1 rolls '93+94+95' and moves to space 6 for a total score of 770.
Player 2 rolls '96+97+98' and moves to space 7 for a total score of 826.
Player 1 rolls '99+100+1' and moves to space 6 for a total score of 776.
Player 2 rolls '2+3+4' and moves to space 6 for a total score of 832.
Player 1 rolls '5+6+7' and moves to space 4 for a total score of 780.
Player 2 rolls '8+9+10' and moves to space 3 for a total score of 835.
Player 1 rolls '11+12+13' and moves to space 0 for a total score of 780.
Player 2 rolls '14+15+16' and moves to space 8 for a total score of 843.
Player 1 rolls '17+18+19' and moves to space 4 for a total score of 784.
Player 2 rolls '20+21+22' and moves to space 1 for a total score of 844.
Player 1 rolls '23+24+25' and moves to space 6 for a total score of 790.
Player 2 rolls '26+27+28' and moves to space 2 for a total score of 846.
Player 1 rolls '29+30+31' and moves to space 6 for a total score of 796.
Player 2 rolls '32+33+34' and moves to space 1 for a total score of 847.
Player 1 rolls '35+36+37' and moves to space 4 for a total score of 800.
Player 2 rolls '38+39+40' and moves to space 8 for a total score of 855.
Player 1 rolls '41+42+43' and moves to space 0 for a total score of 800.
Player 2 rolls '44+45+46' and moves to space 3 for a total score of 858.
Player 1 rolls '47+48+49' and moves to space 4 for a total score of 804.
Player 2 rolls '50+51+52' and moves to space 6 for a total score of 864.
Player 1 rolls '53+54+55' and moves to space 6 for a total score of 810.
Player 2 rolls '56+57+58' and moves to space 7 for a total score of 871.
Player 1 rolls '59+60+61' and moves to space 6 for a total score of 816.
Player 2 rolls '62+63+64' and moves to space 6 for a total score of 877.
Player 1 rolls '65+66+67' and moves to space 4 for a total score of 820.
Player 2 rolls '68+69+70' and moves to space 3 for a total score of 880.
Player 1 rolls '71+72+73' and moves to space 0 for a total score of 820.
Player 2 rolls '74+75+76' and moves to space 8 for a total score of 888.
Player 1 rolls '77+78+79' and moves to space 4 for a total score of 824.
Player 2 rolls '80+81+82' and moves to space 1 for a total score of 889.
Player 1 rolls '83+84+85' and moves to space 6 for a total score of 830.
Player 2 rolls '86+87+88' and moves to space 2 for a total score of 891.
Player 1 rolls '89+90+91' and moves to space 6 for a total score of 836.
Player 2 rolls '92+93+94' and moves to space 1 for a total score of 892.
Player 1 rolls '95+96+97' and moves to space 4 for a total score of 840.
Player 2 rolls '98+99+100' and moves to space 8 for a total score of 900.
Player 1 rolls '1+2+3' and moves to space 10 for a total score of 850.
Player 2 rolls '4+5+6' and moves to space 3 for a total score of 903.
Player 1 rolls '7+8+9' and moves to space 4 for a total score of 854.
Player 2 rolls '10+11+12' and moves to space 6 for a total score of 909.
Player 1 rolls '13+14+15' and moves to space 6 for a total score of 860.
Player 2 rolls '16+17+18' and moves to space 7 for a total score of 916.
Player 1 rolls '19+20+21' and moves to space 6 for a total score of 866.
Player 2 rolls '22+23+24' and moves to space 6 for a total score of 922.
Player 1 rolls '25+26+27' and moves to space 4 for a total score of 870.
Player 2 rolls '28+29+30' and moves to space 3 for a total score of 925.
Player 1 rolls '31+32+33' and moves to space 0 for a total score of 870.
Player 2 rolls '34+35+36' and moves to space 8 for a total score of 933.
Player 1 rolls '37+38+39' and moves to space 4 for a total score of 874.
Player 2 rolls '40+41+42' and moves to space 1 for a total score of 934.
Player 1 rolls '43+44+45' and moves to space 6 for a total score of 880.
Player 2 rolls '46+47+48' and moves to space 2 for a total score of 936.
Player 1 rolls '49+50+51' and moves to space 6 for a total score of 886.
Player 2 rolls '52+53+54' and moves to space 1 for a total score of 937.
Player 1 rolls '55+56+57' and moves to space 4 for a total score of 890.
Player 2 rolls '58+59+60' and moves to space 8 for a total score of 945.
Player 1 rolls '61+62+63' and moves to space 0 for a total score of 890.
Player 2 rolls '64+65+66' and moves to space 3 for a total score of 948.
Player 1 rolls '67+68+69' and moves to space 4 for a total score of 894.
Player 2 rolls '70+71+72' and moves to space 6 for a total score of 954.
Player 1 rolls '73+74+75' and moves to space 6 for a total score of 900.
Player 2 rolls '76+77+78' and moves to space 7 for a total score of 961.
Player 1 rolls '79+80+81' and moves to space 6 for a total score of 906.
Player 2 rolls '82+83+84' and moves to space 6 for a total score of 967.
Player 1 rolls '85+86+87' and moves to space 4 for a total score of 910.
Player 2 rolls '88+89+90' and moves to space 3 for a total score of 970.
Player 1 rolls '91+92+93' and moves to space 0 for a total score of 910.
Player 2 rolls '94+95+96' and moves to space 8 for a total score of 978.
Player 1 rolls '97+98+99' and moves to space 4 for a total score of 914.
Player 2 rolls '100+1+2' and moves to space 1 for a total score of 979.
Player 1 rolls '3+4+5' and moves to space 6 for a total score of 920.
Player 2 rolls '6+7+8' and moves to space 2 for a total score of 981.
Player 1 rolls '9+10+11' and moves to space 6 for a total score of 926.
Player 2 rolls '12+13+14' and moves to space 1 for a total score of 982.
Player 1 rolls '15+16+17' and moves to space 4 for a total score of 930.
Player 2 rolls '18+19+20' and moves to space 8 for a total score of 990.
Player 1 rolls '21+22+23' and moves to space 0 for a total score of 930.
Player 2 rolls '24+25+26' and moves to space 3 for a total score of 993.
Player 1 rolls '27+28+29' and moves to space 4 for a total score of 934.
Player 2 rolls '30+31+32' and moves to space 6 for a total score of 999.
Player 1 rolls '33+34+35' and moves to space 6 for a total score of 940.
Player 2 rolls '36+37+38' and moves to space 7 for a total score of 1006."""